Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.apifacade.impl
Class XbrlInstance

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.apifacade.impl.XbrlInstance

All Implemented Interfaces:
  IXbrlInstance

    public class XbrlInstance

extends java.lang.Object
implements IXbrlInstance

Clase usada para encapsular un objeto correspondiente a una instancia y un DTS XBRL.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Method Summary
`java.lang.Object` | `getDts()` Devuelve el DTS de una instancia
`java.lang.Object` | `getFootNoteLink()` Devuelve el link al comentario de una instancia
`java.lang.Object` | `getInstance()` Devuelve un Instance como object
`void` | `setDts(java.lang.Object dts)` Establece el DTS de una instancia
`void` | `setFootNoteLink(java.lang.Object footNoteLink)` Establece el link al comentario de una instancia
`void` | `setInstance(java.lang.Object instance)` Establece un Instance a partir de un object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public final java.lang.Object getInstance()

  Description copied from interface: `IXbrlInstance`
  Devuelve un Instance como object

  Specified by:
    `getInstance` in interface `IXbrlInstance`
  Returns:
    Objeto instance

### setInstance

    public final void setInstance(java.lang.Object instance)

  Description copied from interface: `IXbrlInstance`
  Establece un Instance a partir de un object

  Specified by:
    `setInstance` in interface `IXbrlInstance`
  Parameters:
    `instance` - object que crea la instancia

### getDts

    public final java.lang.Object getDts()

  Description copied from interface: `IXbrlInstance`
  Devuelve el DTS de una instancia

  Specified by:
    `getDts` in interface `IXbrlInstance`
  Returns:
    DTS

### setDts

    public final void setDts(java.lang.Object dts)

  Description copied from interface: `IXbrlInstance`
  Establece el DTS de una instancia

  Specified by:
    `setDts` in interface `IXbrlInstance`
  Parameters:
    `dts` - DTS

### getFootNoteLink

    public final java.lang.Object getFootNoteLink()

  Description copied from interface: `IXbrlInstance`
  Devuelve el link al comentario de una instancia

  Specified by:
    `getFootNoteLink` in interface `IXbrlInstance`
  Returns:
    link al footnote

### setFootNoteLink

    public final void setFootNoteLink(java.lang.Object footNoteLink)

  Description copied from interface: `IXbrlInstance`
  Establece el link al comentario de una instancia

  Specified by:
    `setFootNoteLink` in interface `IXbrlInstance`
  Parameters:
    `footNoteLink` - link al footnote

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD